%define upstream_name	 Tree-Trie
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A data structure optimized for prefix lookup
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(Pod::Coverage) >= 0.180.0
BuildRequires: perl(Test::Pod) >= 1.260.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildArch:  noarch

%description
This module implements a trie data structure.  The term "trie"
comes from the word retrieval, but is generally pronounced like
"try".  A trie is a tree structure (or directed acyclic graph),
the nodes of which represent letters in a word.  For example, the
final lookup for the word 'bob' would look something like
"$ref->{'b'}{'o'}{'b'}{HASH(0x80c6bbc)}" (the HASH being an end
marker).  Only nodes which would represent words in the trie
exist, making the structure slightly smaller than a hash of the
same data set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/02_pod_cover.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Tree
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.900.0-3.mga3
+ Revision: 374485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 kharec <kharec> 1.900.0-2.mga2
+ Revision: 175184
- shorten description

* Fri Dec 02 2011 kharec <kharec> 1.900.0-1.mga2
+ Revision: 175176
- update to 1.9

* Wed Jun 15 2011 jquelin <jquelin> 1.800.0-1.mga2
+ Revision: 107500
- update to 1.8

* Tue Jan 18 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 23034
- cleaning spec file
- imported package perl-Tree-Trie

